package com.hotent.orgext.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;


@ApiModel(description="角色管理")
public class RoleVo implements Serializable {
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name="id",notes="角色id")
	protected String id;

	@ApiModelProperty(name="name",notes="角色名称")
	protected String name;

	@ApiModelProperty(name="code",notes="角色编码")
	protected String code;

	@ApiModelProperty(name="enabled",notes="0：禁用，1：启用")
	protected Integer enabled;

	@ApiModelProperty(name="description",notes="角色描述")
	protected String description="";

	@ApiModelProperty(name="isDelete",notes="是否已删除 0：未删除 1：已删除（新增、更新数据时不需要传入）")
	protected String isDelete = "0";

	@ApiModelProperty(name="version",notes="版本号（新增、更新数据时不需要传入）")
	protected Integer version;

	@ApiModelProperty(value = "创建人ID")
	private String createBy;

	@ApiModelProperty(value = "创建人组织ID")
	private String createOrgId;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "更新人ID")
	private String updateBy;

	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "用户组ID")
	private String groupId;
	@ApiModelProperty(value = "用户组编码")
	private String groupCode;
	@ApiModelProperty(value = "组织排序")
	private Long orderNo;
	@ApiModelProperty(value = "用户组类型")
	private String groupType;
	@ApiModelProperty(value = "组织上级ID")
	private String parentId;
	@ApiModelProperty(value = "组织路径")
	private String path;

	@ApiModelProperty(value = "分管扩展组织id")
	private String extOrgId;
	@ApiModelProperty(value = "分管扩展id")
	private String extId;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public Integer getEnabled() {
		return enabled;
	}

	public void setEnabled(Integer enabled) {
		this.enabled = enabled;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getIsDelete() {
		return isDelete;
	}

	public void setIsDelete(String isDelete) {
		this.isDelete = isDelete;
	}

	public Integer getVersion() {
		return version;
	}

	public void setVersion(Integer version) {
		this.version = version;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public String getCreateOrgId() {
		return createOrgId;
	}

	public void setCreateOrgId(String createOrgId) {
		this.createOrgId = createOrgId;
	}

	public LocalDateTime getCreateTime() {
		return createTime;
	}

	public void setCreateTime(LocalDateTime createTime) {
		this.createTime = createTime;
	}

	public String getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

	public LocalDateTime getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(LocalDateTime updateTime) {
		this.updateTime = updateTime;
	}

	public String getGroupId() {
		return groupId;
	}

	public void setGroupId(String groupId) {
		this.groupId = groupId;
	}

	public String getGroupCode() {
		return groupCode;
	}

	public void setGroupCode(String groupCode) {
		this.groupCode = groupCode;
	}

	public Long getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(Long orderNo) {
		this.orderNo = orderNo;
	}

	public String getGroupType() {
		return groupType;
	}

	public void setGroupType(String groupType) {
		this.groupType = groupType;
	}

	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getExtOrgId() {
		return extOrgId;
	}

	public void setExtOrgId(String extOrgId) {
		this.extOrgId = extOrgId;
	}

	public String getExtId() {
		return extId;
	}

	public void setExtId(String extId) {
		this.extId = extId;
	}
}
